質問箱/4536

カテゴリ
サマリphp 5.3.x で非推奨になった関数が使用されています
バージョン1.4.7
投稿者upken?
状態完了
投稿日2009-12-05 (土) 15:12:45

質問

http://www.php.net/manual/ja/migration53.deprecated.php サマリの通りですが、ereg など今後動作しなくなる関数が使用されているため、修正したほうが良いのではないでしょうか。 ereg ⇒ mb_ereg (mb_ereg もなくなるかもしれれませんが・・・)

自作スキンも同様です。

回答

  • PukiWiki 開発サイトですべき話もしますが・・・。とりあえず、今の1.4 系のパッケージはPHP4 (4.1.2 以降) & PHP5 サポートです。1.4.x のままでPHP5 & PHP 6 サポートに変更するという予定でもない限り、PHP 6 で削除される予定の関数を使っていてもあまり問題ではないと思われます。(そもそも、PHP 5.0.x の時点ですでに非推奨となっている使い方を、PHP 4 と共存するためにやむを得ずしていますし)
    もちろん、CVS版の方は徐々に準備を進めて・・・・・いるハズ。(最近はコミットする余裕がないようですが) -- 2009-12-05 (土) 22:00:28
  • 迅速な回答ありがとうございます。陰ながら応援しております。頑張ってください。 -- upken? 2009-12-06 (日) 20:39:25


トップ   編集 凍結 差分 バックアップ 添付 複製 名前変更 リロード   新規 一覧 検索 最終更新   ヘルプ   最終更新のRSS
Last-modified: 2009-12-06 (日) 20:40:13
Site admin: PukiWiki Development Team

PukiWiki 1.5.2+ © 2001-2019 PukiWiki Development Team. Powered by PHP 5.6.40-0+deb8u7. HTML convert time: 0.200 sec.

OSDN